Bug 166567 - Review Request: perl-Date-Simple (Simple date object for perl)
Review Request: perl-Date-Simple (Simple date object for perl)
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom "spot" Callaway
David Lawrence
http://www.city-fan.org/~paul/extras/...
:
: 166579 (view as bug list)
Depends On:
Blocks: FE-ACCEPT 166182 166184
  Show dependency treegraph
 
Reported: 2005-08-23 09:20 EDT by Paul Howarth
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-24 03:19:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
petersen: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Paul Howarth 2005-08-23 09:20:55 EDT
Spec Name or Url: http://www.city-fan.org/~paul/extras/perl-Date-Simple/perl-Date-Simple.spec
SRPM Name or Url: http://www.city-fan.org/~paul/extras/perl-Date-Simple/perl-Date-Simple-3.02-1.src.rpm
Description: 

Simple date object for perl.

This is a dependency of perl-CGI-Untaint-date, which in turn is a dependency of perl-Maypole.
Comment 1 Ralf Corsepius 2005-08-23 12:08:58 EDT
NEEDSWORK:

> Url:            http://cpan.uwinnipeg.ca/module/Date::Simple
> Source0:       
http://cpan.uwinnipeg.ca/cpan/authors/id/Y/YV/YVES/Date-Simple-%{version}.tar.gz

Please use CPAN rooted URLs, uwinnipeg.ca probably is csearch.cpan.org mirror.
Comment 2 Paul Howarth 2005-08-23 12:18:41 EDT
OK, I prefer that interface myself but it's no big deal.

How about:

Url: http://search.cpan.org/dist/Date-Simple/
Source0:
http://search.cpan.org/CPAN/authors/id/Y/YV/YVES/Date-Simple-%{version}.tar.gz
Comment 3 Tom "spot" Callaway 2005-08-23 12:27:01 EDT
*** Bug 166579 has been marked as a duplicate of this bug. ***
Comment 4 Tom "spot" Callaway 2005-08-23 12:29:25 EDT
With the fixed URL, this package looks good to me.

- rpmlint checks return nothing
- meets naming/packaging guidelines
- macro use is consistent
- license ok (perl), both texts include, matches source
- source matches upstream
- no libs, no docs
- spec is legible, in am english
- code, not content
- builds ok (FC4, ppc)
- owns directories it makes
- no missing, unnecessary BR

With the URL changes, this one is approved.
Comment 5 Paul Howarth 2007-08-30 06:55:08 EDT
Package Change Request
======================
Package Name: perl-Date-Simple
New Branches: EL-4 EL-5
Comment 6 Jens Petersen 2007-08-30 21:39:55 EDT
added

Note You need to log in before you can comment on or make changes to this bug.